Create or retrieve guest for shared playlist

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /shared/playlists/{token}/guest

Create a guest identity for the shared playlist, or return an existing guest when guest_id is provided and still valid.

Path parameters

  • token string Required

    Share link token

application/json

Body

  • first_name string

    Default value is Guest.

  • last_name string
  • guest_id string(uuid)

    If set, return this guest if it still exists

Responses

  • 200 application/json

    Existing guest returned

  • 201 application/json

    New guest created

POST /shared/playlists/{token}/guest
curl \
 --request POST 'http://api.example.com/shared/playlists/{token}/guest' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"first_name":"Guest","last_name":"string","guest_id":"string"}'
Request examples
{
  "first_name": "Guest",
  "last_name": "string",
  "guest_id": "string"
}
Response examples (200)
{}
Response examples (201)
{}